Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCacheFilter Class Reference

`#include <vtkImageCacheFilter.h>`

Inheritance diagram for vtkImageCacheFilter:

[legend]
Collaboration diagram for vtkImageCacheFilter:

[legend]
List of all members.

## Detailed Description

Caches multiple vtkImageData objects.

Date:
  2002/01/22 15:31:56

Revision:
  1.17

vtkImageCacheFilter keep a number of vtkImageDataObjects from previous updates to satisfy future updates without needing to update the input. It does not change the data at all. It just makes the pipeline more efficient at the expense of using extra memory.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (89%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageCacheFilter.cxx)`
  - .`h` (`/Imaging/vtkImageCacheFilter.h)`

Tests:
  vtkImageCacheFilter (Tests)

Definition at line 46 of file vtkImageCacheFilter.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | UpdateData (vtkDataObject *outData)
void | SetCacheSize (int size)
virtual int | GetCacheSize ()
## Static Public Methods
vtkImageCacheFilter * | New ()
int | IsTypeOf (const char *type)
vtkImageCacheFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCacheFilter ()
| ~vtkImageCacheFilter ()
## Protected Attributes
int | CacheSize
vtkImageData ** | Data
unsigned long * | Times

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageCacheFilter::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 50 of file vtkImageCacheFilter.h.

## Constructor & Destructor Documentation

vtkImageCacheFilter::vtkImageCacheFilter | ( |  | ) | `[protected]`

vtkImageCacheFilter::~vtkImageCacheFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageCacheFilter* vtkImageCacheFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCacheFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageCacheFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageCacheFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageCacheFilter* vtkImageCacheFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageCacheFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

void vtkImageCacheFilter::SetCacheSize | ( | int | size | ) |

| This is the maximum number of images that can be retained in memory. it defaults to 10.

virtual int vtkImageCacheFilter::GetCacheSize | ( |  | ) | `[virtual]`

| This is the maximum number of images that can be retained in memory. it defaults to 10.

void vtkImageCacheFilter::UpdateData | ( | vtkDataObject * | outData | ) | `[virtual]`

| This is an internal method that you should not call. Reimplemented from vtkSource.

## Member Data Documentation

int vtkImageCacheFilter::CacheSize`[protected]`

| Definition at line 67 of file vtkImageCacheFilter.h.

vtkImageData** vtkImageCacheFilter::Data`[protected]`

| Definition at line 69 of file vtkImageCacheFilter.h.

unsigned long* vtkImageCacheFilter::Times`[protected]`

| Definition at line 71 of file vtkImageCacheFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCacheFilter.h